//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
// Any modifications to this file will be lost upon recompilation of the source schema.
// Generated on: 2015.12.23 at 02:14:59 PM CET
//

package com.github.soshibby.philips.pft5500.integration.converters.speaker_event;

import javax.xml.bind.annotation.*;

/**
 * <p>
 * Java class for anonymous complex type.
 * <p>
 * <p>
 * The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="InstanceID">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="PresetNameList">
 *                     &lt;complexType>
 *                       &lt;simpleContent>
 *                         &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *                           &lt;attribute name="val" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                         &lt;/extension>
 *                       &lt;/simpleContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="Volume">
 *                     &lt;complexType>
 *                       &lt;simpleContent>
 *                         &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *                           &lt;attribute name="channel" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                           &lt;attribute name="val" type="{http://www.w3.org/2001/XMLSchema}byte" />
 *                         &lt;/extension>
 *                       &lt;/simpleContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="Mute">
 *                     &lt;complexType>
 *                       &lt;simpleContent>
 *                         &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *                           &lt;attribute name="channel" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                           &lt;attribute name="val" type="{http://www.w3.org/2001/XMLSchema}byte" />
 *                         &lt;/extension>
 *                       &lt;/simpleContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *                 &lt;attribute name="val" type="{http://www.w3.org/2001/XMLSchema}byte" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"instanceID"})
@XmlRootElement(name = "Event")
public class Event {

    @XmlElement(name = "InstanceID", required = true)
    protected Event.InstanceID instanceID;

    /**
     * Gets the value of the instanceID property.
     *
     * @return possible object is {@link Event.InstanceID }
     */
    public Event.InstanceID getInstanceID() {
        return instanceID;
    }

    /**
     * Sets the value of the instanceID property.
     *
     * @param value allowed object is {@link Event.InstanceID }
     */
    public void setInstanceID(Event.InstanceID value) {
        this.instanceID = value;
    }

    /**
     * <p>
     * Java class for anonymous complex type.
     * <p>
     * <p>
     * The following schema fragment specifies the expected content contained within this class.
     * <p>
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="PresetNameList">
     *           &lt;complexType>
     *             &lt;simpleContent>
     *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
     *                 &lt;attribute name="val" type="{http://www.w3.org/2001/XMLSchema}string" />
     *               &lt;/extension>
     *             &lt;/simpleContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="Volume">
     *           &lt;complexType>
     *             &lt;simpleContent>
     *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
     *                 &lt;attribute name="channel" type="{http://www.w3.org/2001/XMLSchema}string" />
     *                 &lt;attribute name="val" type="{http://www.w3.org/2001/XMLSchema}byte" />
     *               &lt;/extension>
     *             &lt;/simpleContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="Mute">
     *           &lt;complexType>
     *             &lt;simpleContent>
     *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
     *                 &lt;attribute name="channel" type="{http://www.w3.org/2001/XMLSchema}string" />
     *                 &lt;attribute name="val" type="{http://www.w3.org/2001/XMLSchema}byte" />
     *               &lt;/extension>
     *             &lt;/simpleContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *       &lt;attribute name="val" type="{http://www.w3.org/2001/XMLSchema}byte" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"presetNameList", "volume", "mute"})
    public static class InstanceID {

        @XmlElement(name = "PresetNameList", required = true)
        protected Event.InstanceID.PresetNameList presetNameList;
        @XmlElement(name = "Volume", required = true)
        protected Event.InstanceID.Volume volume;
        @XmlElement(name = "Mute", required = true)
        protected Event.InstanceID.Mute mute;
        @XmlAttribute(name = "val")
        protected Byte val;

        /**
         * Gets the value of the presetNameList property.
         *
         * @return possible object is {@link Event.InstanceID.PresetNameList }
         */
        public Event.InstanceID.PresetNameList getPresetNameList() {
            return presetNameList;
        }

        /**
         * Sets the value of the presetNameList property.
         *
         * @param value allowed object is {@link Event.InstanceID.PresetNameList }
         */
        public void setPresetNameList(Event.InstanceID.PresetNameList value) {
            this.presetNameList = value;
        }

        /**
         * Gets the value of the volume property.
         *
         * @return possible object is {@link Event.InstanceID.Volume }
         */
        public Event.InstanceID.Volume getVolume() {
            return volume;
        }

        /**
         * Sets the value of the volume property.
         *
         * @param value allowed object is {@link Event.InstanceID.Volume }
         */
        public void setVolume(Event.InstanceID.Volume value) {
            this.volume = value;
        }

        /**
         * Gets the value of the mute property.
         *
         * @return possible object is {@link Event.InstanceID.Mute }
         */
        public Event.InstanceID.Mute getMute() {
            return mute;
        }

        /**
         * Sets the value of the mute property.
         *
         * @param value allowed object is {@link Event.InstanceID.Mute }
         */
        public void setMute(Event.InstanceID.Mute value) {
            this.mute = value;
        }

        /**
         * Gets the value of the val property.
         *
         * @return possible object is {@link Byte }
         */
        public Byte getVal() {
            return val;
        }

        /**
         * Sets the value of the val property.
         *
         * @param value allowed object is {@link Byte }
         */
        public void setVal(Byte value) {
            this.val = value;
        }

        /**
         * <p>
         * Java class for anonymous complex type.
         * <p>
         * <p>
         * The following schema fragment specifies the expected content contained within this class.
         * <p>
         * <pre>
         * &lt;complexType>
         *   &lt;simpleContent>
         *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
         *       &lt;attribute name="channel" type="{http://www.w3.org/2001/XMLSchema}string" />
         *       &lt;attribute name="val" type="{http://www.w3.org/2001/XMLSchema}byte" />
         *     &lt;/extension>
         *   &lt;/simpleContent>
         * &lt;/complexType>
         * </pre>
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"value"})
        public static class Mute {

            @XmlValue
            protected String value;
            @XmlAttribute(name = "channel")
            protected String channel;
            @XmlAttribute(name = "val")
            protected Byte val;

            /**
             * Gets the value of the value property.
             *
             * @return possible object is {@link String }
             */
            public String getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             *
             * @param value allowed object is {@link String }
             */
            public void setValue(String value) {
                this.value = value;
            }

            /**
             * Gets the value of the channel property.
             *
             * @return possible object is {@link String }
             */
            public String getChannel() {
                return channel;
            }

            /**
             * Sets the value of the channel property.
             *
             * @param value allowed object is {@link String }
             */
            public void setChannel(String value) {
                this.channel = value;
            }

            /**
             * Gets the value of the val property.
             *
             * @return possible object is {@link Byte }
             */
            public Byte getVal() {
                return val;
            }

            /**
             * Sets the value of the val property.
             *
             * @param value allowed object is {@link Byte }
             */
            public void setVal(Byte value) {
                this.val = value;
            }

        }

        /**
         * <p>
         * Java class for anonymous complex type.
         * <p>
         * <p>
         * The following schema fragment specifies the expected content contained within this class.
         * <p>
         * <pre>
         * &lt;complexType>
         *   &lt;simpleContent>
         *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
         *       &lt;attribute name="val" type="{http://www.w3.org/2001/XMLSchema}string" />
         *     &lt;/extension>
         *   &lt;/simpleContent>
         * &lt;/complexType>
         * </pre>
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"value"})
        public static class PresetNameList {

            @XmlValue
            protected String value;
            @XmlAttribute(name = "val")
            protected String val;

            /**
             * Gets the value of the value property.
             *
             * @return possible object is {@link String }
             */
            public String getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             *
             * @param value allowed object is {@link String }
             */
            public void setValue(String value) {
                this.value = value;
            }

            /**
             * Gets the value of the val property.
             *
             * @return possible object is {@link String }
             */
            public String getVal() {
                return val;
            }

            /**
             * Sets the value of the val property.
             *
             * @param value allowed object is {@link String }
             */
            public void setVal(String value) {
                this.val = value;
            }

        }

        /**
         * <p>
         * Java class for anonymous complex type.
         * <p>
         * <p>
         * The following schema fragment specifies the expected content contained within this class.
         * <p>
         * <pre>
         * &lt;complexType>
         *   &lt;simpleContent>
         *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
         *       &lt;attribute name="channel" type="{http://www.w3.org/2001/XMLSchema}string" />
         *       &lt;attribute name="val" type="{http://www.w3.org/2001/XMLSchema}byte" />
         *     &lt;/extension>
         *   &lt;/simpleContent>
         * &lt;/complexType>
         * </pre>
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"value"})
        public static class Volume {

            @XmlValue
            protected String value;
            @XmlAttribute(name = "channel")
            protected String channel;
            @XmlAttribute(name = "val")
            protected Byte val;

            /**
             * Gets the value of the value property.
             *
             * @return possible object is {@link String }
             */
            public String getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             *
             * @param value allowed object is {@link String }
             */
            public void setValue(String value) {
                this.value = value;
            }

            /**
             * Gets the value of the channel property.
             *
             * @return possible object is {@link String }
             */
            public String getChannel() {
                return channel;
            }

            /**
             * Sets the value of the channel property.
             *
             * @param value allowed object is {@link String }
             */
            public void setChannel(String value) {
                this.channel = value;
            }

            /**
             * Gets the value of the val property.
             *
             * @return possible object is {@link Byte }
             */
            public Byte getVal() {
                return val;
            }

            /**
             * Sets the value of the val property.
             *
             * @param value allowed object is {@link Byte }
             */
            public void setVal(Byte value) {
                this.val = value;
            }

        }

    }

}
